/*******************************************************************************
This file is part of WhiteStork.

WhiteStork is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

WhiteStork is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with WhiteStork; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Copyright 2006 ComArch S.A.
*******************************************************************************/
#ifdef __cplusplus
extern "C" {
#endif
#include <glib.h>
#include <stdlib.h>
#include <ws_manager.h>
//#include <gconf/gconf-client.h>
//#include <gconf/gconf.h>

int main (gint argc, gchar** argv)
{
	g_type_init();
	
	WSMngSearchData* search_data = ws_manager_create();
	
	ws_mng_init_dbus(search_data);
	ws_mng_init(search_data);
	
	ws_mng_start_main_loop(search_data);
	
	ws_mng_close(search_data);
	
	//g_free(search_data);
	
	return 0;
}
#ifdef __cplusplus
}
#endif
